GIAC(1)

NAME
giac - computer algebra system

SYNOPSIS
giac [options] files
icas [options] files
xcas files

DESCRIPTION

giac is an advanced symbolic and numeric calculator. The console interface is named icas or equivalently giac. The corresponding GUI program is called xcas. These programs have extensive documentation. The GIAC/XCAS manual is available in Info format by invoking `info giac`, and in HTML and DVI format in /usr/share/giac/doc. One can also obtain some help about a keyword like this, from inside the program:

   0>> ?gcd
   Returns the greatest common divisor of 2 polynomials of several variables
   or of 2 integers or of 2 rationals.
   (Intg(a) or Poly),(Intg(b) or Poly)
   gcd(45,75); gcd(15/7,50/9); gcd(x^2-2*x+1,x^3-1); gcd(t^2-2*t+1,t^2+t-2);
   gcd((x^2-1)*(y^2-1)*z^2,x^3*y^3*z+(-(y^3))*z+x^3*z-z)
   lcm,euler,modgcd,ezgcd,psrgcd,heugcd,Gcd The equivalent output may be retrieved by invoking (e.g.) `cas_help gcd`.

OPTIONS

--version
    Show version of program.

--texmacs
    To call giac/icas from inside Texmacs. Users should not need to do this.

--emacs
    To call giac/icas from inside Emacs. Users should not need to do this.

--sage
    To call giac/icas from inside Sage. Users should not need to do this.

SEE ALSO
cas_help(1)

AUTHORS
giac is written by Bernard Parisse. https://www-fourier.ujf-grenoble.fr/~parisse/giac.html This manual page was written by Carleos Artime <carleos@pinon.ccu.uniovi.es> and Ximin Luo <infinity0@debian.org> for the Debian GNU/Linux system (but may be used by others).

LICENSE
GPLv3+